Bug 167377 - Review Request: perl-Class-Singleton
Review Request: perl-Class-Singleton
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://ftp.kspei.com/pub/steve/rpms/p...
:
Depends On:
Blocks: FE-ACCEPT 167376
  Show dependency treegraph
 
Reported: 2005-09-01 20:43 EDT by Steven Pritchard
Modified: 2010-12-08 08:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 12:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-01 20:43:41 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Class-Singleton/perl-Class-Singleton.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Class-Singleton-1.03-1.src.rpm
Description:
This is the Class::Singleton module. A Singleton describes an object
class that can have only one instance in any system. An example of a
Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived.
By itself, the Class::Singleton module does very little other than
manage the instantiation of a single object. In deriving a class from
Class::Singleton, your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.
Comment 1 Paul Howarth 2005-09-07 05:55:33 EDT
Review:

- package and spec naming OK
- package meets guidelines
- license is Artistic, matches spec, text included
- spec file written in English and is legible
- source matches upstream
- builds OK in mock for FC4 and rawhide (i386)
- no BRs
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- rpmlint not clean:

E: perl-Class-Singleton script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/Class/Singleton.pm
This script does not begins with a shellbang. It will prevent its execution.

This is due to the exec bit being set on Singleton.pm in the upstream tarball,
and this permission is preserved at install-time. It can be fixed by adding
after %setup:

chmod -x Singleton.pm

You can fix that in CVS.

Approved.
Comment 2 Steven Pritchard 2005-09-08 12:37:38 EDT
Fixed in 1.03-2.
Comment 3 Steven Pritchard 2010-12-07 14:55:55 EST
Package Change Request
======================
Package Name: perl-Class-Singleton
New Branches: el6
Owners: steve
InitialCC: perl-sig
Comment 4 Steven Pritchard 2010-12-08 08:56:53 EST
Nevermind.  It's in the optional repo.

Note You need to log in before you can comment on or make changes to this bug.